.seccio-banner-block {
    color: #000;
}

.seccio-banner-block.tipus-banner-imatge-fons {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 100%;
    height: 22em;
    color: #FFF;
}

.seccio-banner-block.tipus-banner-imatge-fons.alcada-banner-meitat{
    height: 10.5em;
    margin-top: 1em;
}

.wp-block-column a.alcada-banner-meitat:first-of-type{
    margin-top: 0;
}

.seccio-banner-block .img-banner{
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 15.8em;
    opacity: 1;
    transition: opacity 0.6s ease;
}

.seccio-banner-block.tipus-banner-imatge-fons .img-banner{
    height: auto;
    grid-column: 1;
    grid-row: 1;
}

.seccio-banner-block:hover .img-banner{
    opacity: 0.7;
}

.seccio-banner-block .text-banner {
    background-color: #FFF;
    margin-right: 1em;
    margin-top: -1em;
    padding: 1em;
    transition: background-color 0.6s ease;
    position: relative;
}


.seccio-banner-block:hover .text-banner {
    background-color: #f4f6f0;

}

.seccio-banner-block.tipus-banner-imatge-fons .text-banner {
    height: auto;
    grid-column: 1;
    grid-row: 1;
    background: none;
    display: flex;
    flex-direction: column;
    margin: 0;
    justify-content: flex-end;
    background: linear-gradient(to bottom, rgba(0,0,0,0) 0%,rgba(0,0,0,0.6) 100%);
}

.seccio-banner-block h3 {
    color: #133A1B;
    border-bottom: 1px solid #8A9960;
    margin: 0;
    min-height: 70px;
}

.seccio-banner-block.tipus-banner-imatge-fons h3 {
    min-height: auto;
    color: #FFF;
    border-color: transparent;
}

.seccio-banner-block .resum-banner {
    margin-top: 1em;
}

.seccio-banner-block.tipus-banner-imatge-fons .resum-banner {
    font-size: 0.9em;
    margin-top: 0;
    line-height: 1.3;
    text-shadow: 1px 1px 1px rgba(0,0,0,0.4);
}
.img-banner.normal.doble {
    height: 28em;
}
.img-banner.imatge-fons{
    grid-column: 1 / span 1;
    grid-row: 1;
}
.imatge-fons + .text-banner {
    grid-column: 1 / span 1;
    grid-row: 1;
    background: #ffffff00;
    margin: 0;
}
.imatge-fons + .text-banner h3 {
    color: #ffffff;
    border-bottom: 1px solid #ffffff;
    margin: 0;
    min-height: 50px;
}
.imatge-fons + .text-banner .resum-banner {
    margin-top: 1em;
    color: white;
    font-size: 18px;
    height: 80px;
    overflow: hidden;
    text-shadow: 1px 1px 6px black;
}
.seccio-banner-block.imatge-fons-wrapper {
    display: grid;
    align-items: end;
}
.img-banner.imatge-fons.doble{
    height: 32em;
}
.img-banner.imatge-fons.meitat {
    height: 15em;
    margin-bottom: 2em;
}
.seccio-banner-block:hover .text-banner {
    background-color: #f4f6f0;
}
.seccio-banner-block.imatge-fons-wrapper:hover .text-banner {
    background-color: transparent;
}
